﻿.border-box(@val: border-box) {
	-webkit-box-sizing: @val;
	-moz-box-sizing: @val;
	box-sizing: @val;
}

.slider-feedback {
	position: absolute;
	width: 100%;
	height: 100%;
	margin-top: -30px;
	text-align:center;
	border: 0px solid red;
}

.is-invisible {
	transition: 0.6s;
	opacity: 0;
	visibility: hidden;
}

.is-visible {
	opacity: 1;
	visibility: visible;
}

.slider {
	display: block;
	position: relative;
	height: 100%;
	width: 100%;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;
	.slider-touch-left, .slider-touch-right

{
	.border-box();
	display: block;
	position: absolute;
	height: 0px;
	width: 0px;
	padding: 0px;
	z-index: 2;
	span

{
	display: block;
	width: 100%;
	height: 100%;

}

}

.slider-line {
	.border-box();
	position: absolute;
	/*	width: calc(100% - 50px);*/
	padding: 0px;
	height: 4px;
	border-radius: 4px;
	background: #F0F0F0;
	z-index: 0;
	overflow: hidden;
	span

{
	display: block;
	height: 100%;
	width: 0%;
	background: orange;
}

}
}
}

